# This file contains the default values of all rrdsrv configuration.
# All of these options can be left out of your configuration
# but are included for completeness.

# Address:Port pair to listen on for api requests.
listen_address = "localhost:9191"

# To mandate HTTP basic auth username/passwords set this
# to an htpasswd file - See example/basic-auth.cfg.
# If set then unauthenticated api access is disabled.
basic_auth_htpasswd_file = ""

# Set a signed query secret to enable signed query authentication.
# If set then unauthenticated api access is disabled.
signed_query_secret = ""
signed_query_secret_file = ""

# Instances of `rrdtool` are started via:
# $cfg.shell -c "$rrdtool_command $escaped_args"
rrdtool_command = "exec rrdtool"

# Timeout for any `rrdtool_command` command invocations.
rrdtool_timeout = "60s"

# `rrdsrv` maintains a dynamically sized pool of `rrdtool` 'remote control' processes,
# this is the maximum number will be kept alive to answer requests.
# if set to 0, remote control pooling is not used at all.
rrdtool_pool_max_size = 8

# If this time period elapses without an api query,
# rrdsrv will stop a single rrdtool instance.
rrdtool_pool_attrition_delay = "5m"

# If set, enables the list_metrics endpoint.
# When a user requests the list_metrics endpoint
# the command:
# $cfg.shell -c "$list_rrds_command"
#
# The output lines should be one rrd per line.
list_rrds_command = ""

# Timeout for any `list_rrds_command` invocations.
list_rrds_timeout = "60s"

# Shell that is used to launch rrdtool instances.
shell_path = "/bin/sh"